<?php

namespace Api;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PostReport extends Model 
{

    protected $table = 'post_report';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('post_id', 'member_id', 'reason');

    public function post()
    {
        return $this->belongsTo('Post', 'post_id');
    }

    public function member()
    {
        return $this->belongsTo('Member', 'member_id');
    }

}